## ros-indigo-bwi-scavenger 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_scavenger)

find_package(PCL 1.7 REQUIRED)
find_package(OpenCV)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP REQUIRED yaml-cpp)

if(NOT ${YAML_CPP_VERSION} VERSION_LESS "0.5")
    add_definitions(-DHAVE_NEW_YAMLCPP)
endif()

add_definitions(${PCL_DEFINITIONS})

find_package(catkin REQUIRED 
    COMPONENTS
        actionlib
        actionlib_msgs
        bwi_kr_execution
        bwi_msgs
        cv_bridge
        image_transport
        message_generation
        move_base_msgs
        pcl_ros
        roscpp
        sound_play
        std_msgs
        visualization_msgs
)


find_package(Boost REQUIRED COMPONENTS filesystem)

catkin_package(
    CATKIN_DEPENDS 
        actionlib_msgs
        bwi_kr_execution
        bwi_msgs
        message_runtime
        move_base_msgs
        roscpp
        sound_play
        std_msgs
        visualization_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS})

add_executable(scavenger src/scavenger.cpp src/ScavTaskColorShirt.cpp 
    src/ScavTaskHumanFollowing.cpp
    src/ScavTaskFetchObject.cpp src/ScavTaskWhiteBoard.cpp src/TaskManager.cpp
    src/SearchPlanner.cpp)
add_dependencies(scavenger ${catkin_EXPORTED_TARGETS})
target_link_libraries(scavenger
    ${catkin_LIBRARIES}
    ${PCL_LIBRARY_DIRS}
    ${OpenCV_LIBRARIES}
    ${YAML_CPP_LIBRARIES})

add_executable(draw_trajectory trajectory/draw_trajectory.cpp)

target_link_libraries(draw_trajectory ${catkin_LIBRARIES})

#############
## Install ##
#############

install(TARGETS 
          scavenger 
          draw_trajectory
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-bwi-scavenger (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.10-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.9-0trusty) trusty; urgency=high

  * bwi_scavenger: add missing visualization_msgs dependency (#61 <https://github.com/utexas-bwi/bwi_common/issues/61>)
  * commented out image uploading in human following
  * final change before demo, hopefully
  * changed image topic name from image_color to image_raw
  * uniformed naming strategy of certificate images
  * fixed white-board not stopping problem
  * fixed bugs; todo: 'stop' button sometimes doesn't stop moving in whiteboard task
  * fixed human following 'no passive moving' problem
  * enabled robot to say 'following' while following a person
  * fixed fetch-object problem: robot doesn't stop after user presses the button
  * Merge branch 'shiqi/scavenger' of https://github.com/utexas-bwi/bwi_common into shiqi/scavenger
  * human following ends when task completed
  * fixed color shirt detection, shirt height problem
  * removed directory, leaving only file name of certificate
  * added a path to certificate messages from scav to virtour
  * added color into color shirt printout on virtour
  * fixed bugs, and demo worked well
  * added scav_srv into scavenger.cpp
  * added a new scavenger hunt service that can pause/resume current task
  * Merge remote-tracking branch 'origin/master' into shiqi/scavenger
  * scavenger: removed the blocking thread.join() line
  * enabled scavenger to keep publishing task status to bwi_virtour
  * fixed bug of scavenger status not publishing
  * bwi_msgs: added a ScavStatus msg
  * activated all four tasks
  * Added scp log files to remote (hypnotoad) location
  * Took out spin. It's too easy to be stuck in a loop with false detections
  * Finished implemented more fluid human following given the person's last seen location
  * Changed human following motion to actionlib version.
  * scavenger added image saver to human following
  * Added stop in front of person code for human following
  * added traveled distance into rviz
  * enabled robot to draw two trajectories: robot and human
  * added a tool for drawing robot trajectories
  * ScavTaskHumanFollowing: simply approaching where human was first detected
  * added a new task ScavTaskHumanFollowing; to be tested on robots
  * configuration used for scavenger hunt demo
  * fixed a problem about parameter passing
  * Contributors: Jack O'Quin, Shih-Yun Lo, Shiqi Zhang, William Xie

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.8-0trusty) trusty; urgency=high

  * use GlobalPlanner instead of navfn
  * door map for corpp experiments
  * Contributors: Piyush Khandelwal, Shiqi Zhang

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.6-0trusty) trusty; urgency=high

  * bwi_scavenger: remove segbot_gui and bwi_rlg references (#30 <https://github.com/utexas-bwi/bwi_common/issues/30>)
  * bwi_scavenger: work-around for yaml-cpp problem on Saucy (#35 <https://github.com/utexas-bwi/bwi_common/issues/35>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.5-0trusty) trusty; urgency=high

  * bwi_scavenger: fix catkin lint and build problems (#31 <https://github.com/utexas-bwi/bwi_common/issues/31>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.4-0trusty) trusty; urgency=high

  * restore missing package versions
  * added maintainers, and minor changes in package.xml files
  * fixed yaml-cpp version problem
  * Contributors: Jack O'Quin, Shiqi Zhang

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-bwi-scavenger (0.3.3-0trusty) trusty; urgency=high

  * added dependencies of move_base_msgs
  * fixed #26 <https://github.com/utexas-bwi/bwi_common/issues/26>: system dependency problem about yaml-cpp
  * moved scavenger hunt package from bwi_experimental to bwi_common
  * Contributors: Shiqi Zhang

 -- Shiqi Zhang <shiqi.zhang6@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-scavenger
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-move-base-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-scavenger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-move-base-msgs, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Description: Robot scavenger hunt interfaces for the Building-Wide Intelligence project of the University of Texas at Austin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-scavenger//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
